Public Class Form2

    Dim k As Integer = 0

    Private Sub RadioButton4_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton4.CheckedChanged
        If RadioButton4.Checked = True Then k = k + 1
    End Sub

    Private Sub RadioButton8_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton8.CheckedChanged
        If RadioButton8.Checked = True Then k = k + 1
    End Sub

    Private Sub RadioButton9_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton9.CheckedChanged
        If RadioButton9.Checked = True Then k = k + 1
    End Sub

    Private Sub RadioButton15_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton15.CheckedChanged
        If RadioButton15.Checked = True Then k = k + 1
    End Sub

    Private Sub RadioButton20_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton20.CheckedChanged
        If RadioButton20.Checked = True Then k = k + 1
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Label2.Text = k
        If RadioButton1.Checked = True Then Label8.Text = "НЕВЕРНО!!!"
        If RadioButton2.Checked = True Then Label8.Text = "НЕВЕРНО!!!"
        If RadioButton3.Checked = True Then Label8.Text = "НЕВЕРНО!!!"
        If RadioButton4.Checked = True Then Label8.Text = "ВЕРНО!!!"
        If RadioButton5.Checked = True Then Label9.Text = "НЕВЕРНО!!!"
        If RadioButton6.Checked = True Then Label9.Text = "НЕВЕРНО!!!"
        If RadioButton7.Checked = True Then Label9.Text = "НЕВЕРНО!!!"
        If RadioButton8.Checked = True Then Label9.Text = "ВЕРНО!!!"
        If RadioButton9.Checked = True Then Label11.Text = "ВЕРНО!!!"
        If RadioButton10.Checked = True Then Label11.Text = "НЕВЕРНО!!!"
        If RadioButton11.Checked = True Then Label11.Text = "НЕВЕРНО!!!"
        If RadioButton12.Checked = True Then Label11.Text = "НЕВЕРНО!!!"
        If RadioButton13.Checked = True Then Label12.Text = "НЕВЕРНО!!!"
        If RadioButton14.Checked = True Then Label12.Text = "НЕВЕРНО!!!"
        If RadioButton15.Checked = True Then Label12.Text = "ВЕРНО!!!"
        If RadioButton16.Checked = True Then Label12.Text = "НЕВЕРНО!!!"
        If RadioButton17.Checked = True Then Label13.Text = "НЕВЕРНО!!!"
        If RadioButton18.Checked = True Then Label13.Text = "НЕВЕРНО!!!"
        If RadioButton19.Checked = True Then Label13.Text = "НЕВЕРНО!!!"
        If RadioButton20.Checked = True Then Label13.Text = "ВЕРНО!!!"
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Me.Visible = False
        Form1.Show()
        k = 0
        Label2.Text = ""
        Label8.Text = ""
        Label9.Text = ""
        Label11.Text = ""
        Label12.Text = ""
        Label13.Text = ""
        RadioButton1.Checked = False
        RadioButton2.Checked = False
        RadioButton3.Checked = False
        RadioButton4.Checked = False
        RadioButton5.Checked = False
        RadioButton6.Checked = False
        RadioButton7.Checked = False
        RadioButton8.Checked = False
        RadioButton9.Checked = False
        RadioButton10.Checked = False
        RadioButton11.Checked = False
        RadioButton12.Checked = False
        RadioButton13.Checked = False
        RadioButton14.Checked = False
        RadioButton15.Checked = False
        RadioButton16.Checked = False
        RadioButton17.Checked = False
        RadioButton18.Checked = False
        RadioButton19.Checked = False
        RadioButton20.Checked = False
    End Sub
End Class